/**

Deze file wordt ingeladen op de site sass

 */
:root,
[data-bs-theme=light] {
  --bs-primary: #5e9c89;
  --bs-primary-rgb: 94, 156, 137;
  --bs-secondary: #2E2017;
  --bs-secondary-rgb: 46, 32, 23;
  --bs-link-color: #5e9c89;
  --bs-link-color-rgb: 94, 156, 137;
  --bs-link-hover-color: #416c5f;
  --bs-link-hover-color-rgb: 65, 108, 95;
  --bs-heading-color: #5e9c89;
  --bs-navbar-active-color: #5e9c89;
  --bs-status-beschikbaar-rgb: 32, 191, 85;
  --bs-status-optie-rgb: 252, 216, 37;
  --bs-status-gereserveerd-rgb: 252, 216, 37;
  --bs-status-vergeven-rgb: 239, 93, 66;
  --bs-status-nnb-rgb: 249, 249, 249;
}

[data-bs-theme=dark] {
  --bs-secondary-color: rgba(222,226,230,.75);
  --bs-secondary-color-rgb: 222,226,230;
  --bs-secondary-bg: #343a40;
  --bs-secondary-bg-rgb: 52,58,64;
  --bs-border-color: rgba(255, 255, 255, .25);
  --bs-primary-text-emphasis: #9ec4b8;
  --bs-secondary-text-emphasis: #827974;
  --bs-primary-bg-subtle: #131f1b;
  --bs-secondary-bg-subtle: #090605;
  --bs-primary-border-subtle: #385e52;
  --bs-secondary-border-subtle: #1c130e;
  --bs-link-color: #9ec4b8;
  --bs-link-color-rgb: 158, 196, 184;
  --bs-link-hover-color: #7eb0a1;
  --bs-link-hover-color-rgb: 126, 176, 161;
}

.btn-primary {
  --bs-btn-color: #000;
  --bs-btn-bg: #5e9c89;
  --bs-btn-border-color: #5e9c89;
  --bs-btn-hover-color: #000;
  --bs-btn-hover-bg: #76ab9b;
  --bs-btn-hover-border-color: #6ea695;
  --bs-btn-focus-shadow-rgb: 80, 133, 116;
  --bs-btn-active-color: #000;
  --bs-btn-active-bg: #7eb0a1;
  --bs-btn-active-border-color: #6ea695;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #000;
  --bs-btn-disabled-bg: #5e9c89;
  --bs-btn-disabled-border-color: #5e9c89;
}

.btn-outline-primary {
  --bs-btn-color: #5e9c89;
  --bs-btn-border-color: #5e9c89;
  --bs-btn-hover-color: #000;
  --bs-btn-hover-bg: #5e9c89;
  --bs-btn-hover-border-color: #5e9c89;
  --bs-btn-focus-shadow-rgb: 94, 156, 137;
  --bs-btn-active-color: #000;
  --bs-btn-active-bg: #5e9c89;
  --bs-btn-active-border-color: #5e9c89;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #5e9c89;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #5e9c89;
  --bs-gradient: none;
}

#cookiebar-nbnl .btn-outline-dark {
  --bs-btn-color: #5e9c89;
  --bs-btn-border-color: #5e9c89;
  --bs-btn-hover-color: #000;
  --bs-btn-hover-bg: #5e9c89;
  --bs-btn-hover-border-color: #5e9c89;
  --bs-btn-focus-shadow-rgb: 94, 156, 137;
  --bs-btn-active-color: #000;
  --bs-btn-active-bg: #5e9c89;
  --bs-btn-active-border-color: #5e9c89;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #5e9c89;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #5e9c89;
  --bs-gradient: none;
}

#cookiebar-nbnl .btn-dark,
.btn-secondary {
  --bs-btn-color: #fff;
  --bs-btn-bg: #2E2017;
  --bs-btn-border-color: #2E2017;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #271b14;
  --bs-btn-hover-border-color: #251a12;
  --bs-btn-focus-shadow-rgb: 77, 65, 58;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #251a12;
  --bs-btn-active-border-color: #231811;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #2E2017;
  --bs-btn-disabled-border-color: #2E2017;
}

.btn-outline-secondary {
  --bs-btn-color: #2E2017;
  --bs-btn-border-color: #2E2017;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #2E2017;
  --bs-btn-hover-border-color: #2E2017;
  --bs-btn-focus-shadow-rgb: 46, 32, 23;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #2E2017;
  --bs-btn-active-border-color: #2E2017;
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #2E2017;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #2E2017;
  --bs-gradient: none;
}

.fill-status-beschikbaar {
  fill: #20bf55 !important;
}

.fill-status-optie {
  fill: #fcd825 !important;
}

.fill-status-gereserveerd {
  fill: #fcd825 !important;
}

.fill-status-vergeven {
  fill: #ef5d42 !important;
}

.link-primary {
  color: var(--bs-primary) !important;
}
.link-primary:hover, .link-primary:focus {
  color: #7eb0a1 !important;
}

.link-secondary {
  color: var(--bs-secondary) !important;
}
.link-secondary:hover, .link-secondary:focus {
  color: #584d45 !important;
}

.accordion {
  --bs-accordion-active-bg: white;
  --bs-accordion-btn-active-icon: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23305969'%3E%3Cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3E%3C/svg%3E");
  --bs-accordion-btn-focus-border-color: #8cbaac;
  --bs-accordion-btn-focus-box-shadow: 0 0 0 0.25rem rgba(var(--bs-primary-rgb),.25);
  --bs-accordion-active-color: #416c5f;
}

.form-control:focus {
  border-color: #afcec4;
  box-shadow: 0 0 0 0.25rem rgba(var(--bs-primary-rgb), 0.25);
}

.form-check-input:focus {
  box-shadow: 0 0 0 0.25rem rgba(var(--bs-primary-rgb), 0.25);
}

.form-check-input:checked,
.form-check-input:focus {
  background-color: var(--bs-primary);
  border-color: var(--bs-primary);
}

.form-check-input[type=checkbox]:indeterminate {
  background-color: var(--bs-primary);
  border-color: var(--bs-primary);
}

.form-range::-webkit-slider-thumb {
  background-color: var(--bs-primary);
}

.form-range::-moz-range-thumb {
  background-color: var(--bs-primary);
}

.dropdown-menu {
  --bs-dropdown-link-active-bg: var(--bs-primary);
}

.dropdown-menu-dark {
  --bs-dropdown-link-active-bg: var(--bs-primary);
}

.nav {
  --bs-nav-link-hover-color: var(--bs-primary);
}

.nav-pills {
  --bs-nav-pills-link-active-bg: var(--bs-primary);
}

.navbar {
  --bs-navbar-hover-color: var(--bs-primary);
  --bs-navbar-active-color: var(--bs-primary);
  --bs-navbar-brand-color: var(--bs-primary);
  --bs-navbar-brand-hover-color: var(--bs-primary);
}

.navbar-dark,
.navbar[data-bs-theme=dark] {
  --bs-navbar-hover-color: var(--bs-primary);
  --bs-navbar-active-color: var(--bs-primary);
  --bs-navbar-brand-color: var(--bs-primary);
  --bs-navbar-brand-hover-color: var(--bs-primary);
}

.progress {
  --bs-progress-bar-bg: var(--bs-primary);
}

.list-group {
  --bs-list-group-active-bg: var(--bs-primary);
  --bs-list-group-active-border-color: var(--bs-primary);
}

.text-bg-primary a {
  --bs-link-color-rgb: #000;
}

footer a {
  --bs-link-color-rgb: 0, 0, 0;
}

/*
  ___   ____                                     _             _
 / _ \ | ___|    ___  _ __ ___   __ _  _____   _(_)_ __   __ _| |
| | | ||___ \   / _ \| '_ ` _ \ / _` |/ _ \ \ / / | '_ \ / _` | |
| |_| | ___) | | (_) | | | | | | (_| |  __/\ V /| | | | | (_| |_|
 \___(_)____/   \___/|_| |_| |_|\__, |\___| \_/ |_|_| |_|\__, (_)
                                |___/                    |___/
*/
:root {
  --bs-heading-font-family: "Montserrat", sans-serif;
  --bs-body-font-family: "Montserrat", sans-serif;
  --bs-border-radius-sm: 0;
  --bs-border-radius: 0;
  --bs-border-radius-lg: 0;
}

h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
  color: var(--bs-secondary);
  font-weight: 600;
}

nav.navbar {
  --bs-navbar-active-color: var(--bs-secondary);
}
nav.navbar .nav-link {
  --bs-nav-link-color: var(--bs-secondary);
  --bs-nav-link-active-color: var(--bs-primary);
  --bs-nav-link-hover-color: var(--bs-primary);
}
nav.navbar .nav-link.active {
  --bs-navbar-active-color: var(--bs-primary);
}

.btn {
  text-transform: uppercase;
  --bs-btn-font-weight: 800;
}
.btn:not(.btn-sm, .btn-lg) {
  --bs-btn-font-size: 15px;
}
.btn-primary, .btn-outline-primary {
  --bs-btn-hover-color: var(--bs-white);
  --bs-btn-active-color: var(--bs-white);
}
.btn-primary {
  --bs-btn-color: var(--bs-white);
}

#flexSwitchCheckDefault {
  border-radius: 30px !important;
}

footer .footer-bottom {
  background-color: var(--bs-secondary);
  color: var(--bs-white);
}
footer .footer-bottom a {
  color: var(--bs-white);
}

html.iframe h1, html.iframe h2, html.iframe h3, html.iframe h4, html.iframe h5, html.iframe h6, html.iframe .h1, html.iframe .h2, html.iframe .h3, html.iframe .h4, html.iframe .h5, html.iframe .h6, html.iframe p {
  color: var(--bs-white) !important;
}
html.iframe .form-example, html.iframe .form-check-label, html.iframe legend {
  color: var(--bs-white) !important;
}
html.iframe a {
  --bs-link-color-rgb: var(--bs-white-rgb);
  --bs-link-hover-color-rgb: var(--bs-white-rgb);
}
html.iframe a:hover {
  --bs-link-opacity: .7;
}
html.iframe .form-check-input:checked, html.iframe .form-check-input:focus {
  background-color: var(--bs-secondary);
  border-color: var(--bs-secondary);
}
